Package commoble.morered.soldering

# Record Class SolderingRecipe

java.lang.Object
java.lang.Record
commoble.morered.soldering.SolderingRecipe

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

public record SolderingRecipe(net.minecraft.world.item.ItemStack result, List<net.neoforged.neoforge.common.crafting.SizedIngredient> ingredients) extends Record implements net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<SolderingRecipe>`
`CODEC`
`static final net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,SolderingRecipe>`
`STREAM_CODEC`

### Fields inherited from interface net.minecraft.world.item.crafting.Recipe

`CONDITIONAL_CODEC`

## Constructor Summary

Constructors
Constructor
Description
`SolderingRecipe(net.minecraft.world.item.ItemStack result, List<net.neoforged.neoforge.common.crafting.SizedIngredient> ingredients)`
Creates an instance of a `SolderingRecipe` record class.

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.ItemStack`
`assemble(net.minecraft.world.item.crafting.CraftingInput input, net.minecraft.core.HolderLookup.Provider registries)`
`boolean`
`canCraftInDimensions(int x, int y)`
`static boolean`
`doesPlayerHaveIngredients(net.minecraft.world.entity.player.Inventory playerInventory, @NotNull SolderingRecipe recipe)`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`net.minecraft.world.item.ItemStack`
`getResultItem(net.minecraft.core.HolderLookup.Provider provider)`
`net.minecraft.world.item.crafting.RecipeSerializer<?>`
`getSerializer()`
`net.minecraft.world.item.crafting.RecipeType<?>`
`getType()`
`final int`
`hashCode()`
Returns a hash code value for this object.
`List<net.neoforged.neoforge.common.crafting.SizedIngredient>`
`ingredients()`
Returns the value of the `ingredients` record component.
`boolean`
`isSpecial()`
`boolean`
`matches(net.minecraft.world.item.crafting.CraftingInput input, net.minecraft.world.level.Level level)`
`net.minecraft.world.item.ItemStack`
`result()`
Returns the value of the `result` record component.
`boolean`
`showNotification()`
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.item.crafting.Recipe

`getGroup, getIngredients, getRemainingItems, getToastSymbol, isIncomplete`

## Field Details

### CODEC

public static final com.mojang.serialization.MapCodec<SolderingRecipe> CODEC

### STREAM_CODEC

public static final net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,SolderingRecipe> STREAM_CODEC

## Constructor Details

### SolderingRecipe

public SolderingRecipe(net.minecraft.world.item.ItemStack result, List<net.neoforged.neoforge.common.crafting.SizedIngredient> ingredients)
Creates an instance of a `SolderingRecipe` record class.

Parameters:
  `result` - the value for the `result` record component
  `ingredients` - the value for the `ingredients` record component

## Method Details

### getType

public net.minecraft.world.item.crafting.RecipeType<?> getType()

Specified by:
  `getType` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### getSerializer

public net.minecraft.world.item.crafting.RecipeSerializer<?> getSerializer()

Specified by:
  `getSerializer` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### doesPlayerHaveIngredients

public static boolean doesPlayerHaveIngredients(net.minecraft.world.entity.player.Inventory playerInventory, @NotNull @NotNull SolderingRecipe recipe)

### matches

public boolean matches(net.minecraft.world.item.crafting.CraftingInput input, net.minecraft.world.level.Level level)

Specified by:
  `matches` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### assemble

public net.minecraft.world.item.ItemStack assemble(net.minecraft.world.item.crafting.CraftingInput input, net.minecraft.core.HolderLookup.Provider registries)

Specified by:
  `assemble` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### canCraftInDimensions

public boolean canCraftInDimensions(int x, int y)

Specified by:
  `canCraftInDimensions` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### getResultItem

public net.minecraft.world.item.ItemStack getResultItem(net.minecraft.core.HolderLookup.Provider provider)

Specified by:
  `getResultItem` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### isSpecial

public boolean isSpecial()

Specified by:
  `isSpecial` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### showNotification

public boolean showNotification()

Specified by:
  `showNotification` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.item.crafting.CraftingInput>`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### result

public net.minecraft.world.item.ItemStack result()
Returns the value of the `result` record component.

Returns:
  the value of the `result` record component

### ingredients

public List<net.neoforged.neoforge.common.crafting.SizedIngredient> ingredients()
Returns the value of the `ingredients` record component.

Returns:
  the value of the `ingredients` record component